Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.execution
[Java] Interface TaskExecutionGraphListener

    public interface TaskExecutionGraphListener

A `TaskExecutionGraphListener` is notified when the TaskExecutionGraph has been populated. You can use this interface in your build file to perform some action based on the contents of the graph, before any tasks are actually executed.

Method Summary
`void` | `graphPopulated(TaskExecutionGraph graph)`

Method Detail

### graphPopulated

    public void graphPopulated(TaskExecutionGraph graph)

  This method is called when the TaskExecutionGraph has been populated, and before any tasks are executed.

  Parameters:
    `graph` - The graph. Never null.

Gradle API 1.1-rc-1